curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
🇺🇸 アメリカ合衆国
米国 金融サービス データベース照合API
Didit経由で米国の金融サービス関連の信頼できるデータベースを照会できます。1回あたり$0.20からの従量課金で、契約や最低利用額はありません。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
政府・公的記録、経歴記録、その他のサービスを集約したサービスです。Diditはこのサービスを
POST /v3/database-validation/で提供しています。送信されたデータを信頼できる情報源と照合し、正規化された照合結果を受け取れます。
対象範囲
- カバー率: ~ 85%
- 国: 米国
- サービスID:
usa_states_financial_services - データドメイン: 金融
- カテゴリ: FinancialServices
入力
| フィールド | 必須 | 例 |
|---|---|---|
first_name | はい | John |
last_name | はい | Doe |
date_of_birth | はい | 1990-01-01 |
address.street_1 | いいえ | 123 Sample Street |
address.street_2 | いいえ | Unit 4 |
address.city | いいえ | Sample City |
address.region | いいえ | Sample State |
address.postal_code | いいえ | 10001 |
phone | いいえ | +15550101000 |
ssn | いいえ | 123456789 |
email | いいえ | john.doe@example.com |
vendor_data | いいえ | user-1234 |
- 必須の入力:
first_name、last_name、date_of_birth - 任意の入力:
address.street_1、address.street_2、address.city、address.region、address.postal_code、phone、ssn、email、vendor_data - 同意: 不要
- ワークフローでの利用可否: 利用可能
- カバー率: ~ 85%
- 料金: 照会成功1件あたり$0.20
ボディパラメーター
string
デフォルト:"USA"
必須
このデータベースサービスのISO 3166-1 alpha-3国コードです。例:
USAstring
デフォルト:"usa_states_financial_services"
必須
このサービスIDを含む配列です。サービスを固定すると、リクエストの対象をこのデータベースだけに限定できます。例:
usa_states_financial_servicesstring
デフォルト:"John"
必須
検証する名です。例:
Johnstring
デフォルト:"Doe"
必須
検証する姓です。例:
Doestring
デフォルト:"1990-01-01"
必須
YYYY-MM-DD形式の生年月日です。例:1990-01-01object
構造化された居住地の住所オブジェクトです。
street_1、street_2、city、region、postal_code、countryを使用します。住所全体を1つの文字列で指定する従来の形式も引き続き受け付けますが、推奨されません。例:{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
国際形式の電話番号です。例:
+15550101000string
このデータベースサービスで必要な
ssnの値です。例:123456789string
メールアドレスです。例:
john.doe@example.comstring
デフォルト:"user-1234"
社内のユーザーIDなど、この人物を表す固定のユーザー参照値です。Diditはこの値を使って単独のチェックを同じエンドユーザーに紐付け、重複検出のノイズを減らします。例:
user-1234入力ルールと検証に関する注意事項
- このサービスでは
addressは任意です。完全なaddress文字列を1つ送信すると、Diditが可能な範囲で構造化された住所要素に分割します。構造化フィールドを明示的に送信することもできます。 - 米国社会保障番号またはITIN:9桁すべて(ハイフンは任意)または下4桁のみ
ssnは(?:\d{9}|\d{3}-\d{2}-\d{4}|\d{4})に一致する必要があります。ssnには、9桁のSSN/ITIN全体(ハイフンは任意)または下4桁のみを送信してください。- このサービスでは
first_name、last_name、date_of_birthが必須です。これで、氏名に加えてもう1つの本人情報フィールドという情報源側の最低要件をすでに満たしています。任意フィールド(ssn、address、phone、email)を加えると、照合の精度がさらに高まります。 - 住所サービスでは、可能な限り単一の
address文字列ではなく、構造化された住所フィールドを送信してください。 address.street_1は、番地と道路種別を含む住所です。address.street_2は、アパート、部屋番号、建物、階、または追加の住所行です。値がある場合にのみ送信してください。address.cityは、市、郊外、地区、地域、または近隣地区です。address.regionは、州、県、地域、または町です。address.postal_codeは郵便番号です。- 住所ベースのデータベースサービスでは、少なくとも番地を含む住所と郵便番号が必要です。情報源への照会前に拒否されたリクエストは課金されません。
呼び出し方法
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
呼び出しが成功すると、常にHTTP 200が返ります。実際の結果はoutcome_codeフィールドで確認できます。たとえば、生体情報が実際に一致しなかった場合(BIOMETRIC_NO_MATCH)と、セルフィーを読み取れなかった場合(BIOMETRIC_IMAGE_UNUSABLE)を区別できます。表示されるstatusは機能のデフォルトステータスであり、設定済みの部分一致/不一致時のアクションによって上書きされることがあります。MATCH:レジストリが本人であることを確認し、照合したすべてのフィールドが一致しました。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
PARTIAL_MATCH:このサービスが照合するフィールドのうち、1つ以上が完全には一致しませんでした。この例では、full_nameは一致せず、date_of_birthは一致しています。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
NO_MATCH:送信されたデータに一致する記録がレジストリから返されませんでした。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
返却データ
source_dataに含まれるフィールドは、レジストリが返す内容によって異なります。usa_states_financial_servicesの生成されたサンプルには、現在次の正規化された構造が記載されています。
addressaddress_match_scorecitydate_of_birthfirst_namefull_namelast_namename_match_scorepostal_codestatestreet
料金とSLA
アメリカ合衆国 - 米国金融サービスのクエリは、Diditが検証元から確定した結果を受け取った場合にのみ課金されます。- 呼び出し1件あたりの料金: $0.20 USD。
- 請求: 成功したクエリごとに課金されます。レジストリに接続できない場合、必須フィールドが不足している場合、またはリクエストが検証元に到達する前に拒否された場合は課金されません。
- レイテンシー: p95で通常2秒未満。
- 可用性: Didit側で四半期あたり99.9%。接続先の情報源の可用性は国やデータセットによって異なります。
関連情報
最終更新日 2026年11月1日